modules:
  default:
    lmod:
      openmpi:
        environment:
          set:
            OMPI_MCA_pml: 'ucx'
            OMPI_MCA_osc: 'ucx'
            UCX_NET_DEVICES: 'mlx5_0:1,mlx5_1:1'
      nccl:
        environment:
          set:
            NCCL_IB_HCA: 'mlx5_0:1,mlx5_1:1'
            NCCL_SOCKET_IFNAME: 'bond0'
